Figure - Bug #117521
00 Test-ST#113421 (New): V400 0O O OO0
O O Test-ST # 113422 (New): V4.00 O --AFO O --monkeyd O

O AFO O EVT3O O Monkeyd Monkeyd 0 480 O O O O CRASH: com.android.settings 2000
2023-04-17 10:17 - CD TEST-0 0 O

Status: CLOSED Start date: 2023-04-17

Priority: Immediate Due date:

Assignee: CDTEST-UDOO % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: - Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C108(X103)
Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_ HH_MCE_FSE.M.R.user.01.00.0093|C103(
Reproducibility: Rarely Fixed Version: 2023-04-17

Test Type: ST Root cause: Activity 0 O O

Description

oooood

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes
--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10
--pct-anyevent 10 --ignore-crashes -v -v -v 345600 2>/sdcard/error.txt 1>/sdcard/info.txt

gooooo

// CRASH: com.android.settings (pid 16081)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to invoke virtual method 'java.lang.Object
android.app.Activity.getSystemService(java.lang.String)' on a null object reference

// Build Label: TC/figure_ CN/figure:12/SKQ1.220201.001/2862:user/test-keys

// Build Changelist; 2862

// Build Time: 1681426863000

// java.lang.NullPointerException: Attempt to invoke virtual method ‘java.lang.Object android.app.Activity.getSystemService(java.lang.String)'
on a null object reference

//  at com.android.settings.applications.AppStorageSettings.initiateClearUserData(AppStorageSettings.java:370)
//  at com.android.settings.applications.AppStorageSettings.access$000(AppStorageSettings.java:70)

// at com.android.settings.applications.AppStorageSettings$1.onClick (AppStorageSettings.java:497)

/! atandroidx.appcompat.app.AlertController$ButtonHandler.handleMessage(AlertController.java:167)
// atandroid.os.Handler.dispatchMessage(Handler.java:106)
//atandroid.os.Looper.loopOnce(Looper.java:201)

//  atandroid.os.Looper.loop(Looper.java:288)

// atandroid.app.ActivityThread.main(Activity Thread.java:7880)

//  atjava.lang.reflect. Method.invoke(Native Method)

// at com.android.internal.os.Runtimelnit$MethodAndArgsCaller.run(Runtimelnit.java:548)
//atcom.android.internal.os.Zygotelnit. main(Zygotelnit.java:1009)

/!

History
#1-2023-04-1710:19-CD TEST-O0 O O

gooo
ftp://cdiot@192.168.87.46/Pre_figure/Test Log/Bug_117521

#2 - 2023-04-17 10:46 - CD TEST-0O O O

- Priority changed from Urgent to Immediate

#3 - 2023-04-17 15:46 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
194220 general/platform/packages/apps/Settin | Pre_figure_turbox-c2130c-lal.1-qssi12 | tao.liao@thundersoft.com
gs -dev

192ee5fd02578celff61ee7bc48a3ch0857025108

AF:Settings: Fix NullPointException on App Storage Settings Clear Dialog. TC-RID: 1201-0201802IssuelD: TS-R-BUG-117521Change-1d:

#4 - 2023-04-17 15:49 - CD FW-0O O

- Status changed from New to RESOLVED

- Assignee changed from CD FW-0O O to CD TEST-O O O
- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-17

- Root cause set to Activity O O O

m Current conclusion

gooooooooo

m My analysis
Dialog0 0000000000 ActviiyOOOQOQOOOOODOO

m Nextaction

ooooo

#5 - 2023-04-18 15:13 - CD TEST-0O0 O O

4.18

ooooooooon

#6 - 2023-04-1913:51 -CD TEST-O O O

4.19
000200000
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117521

#7 - 2023-04-2017:56 - CD TEST-O O O

4.20
voopBOoOoooooooooon

#8 - 2023-04-21 10:08 - CD TEST-0 O O
- Status changed from RESOLVED to VERIFIED
- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0093.C103(X103)

421
o930 0o
ooo

#9 - 2023-04-2110:08 - CD TEST-0 O O
- Status changed from VERIFIED to CLOSED

Files
error.txt 391 KB 2023-04-17 CDTEST-0D0 OO
